HardSID Class Reference
Inheritance diagram for HardSID:

## Public Member Functions

| HardSID (sidbuilder *builder)
void | reset ()
void | reset (uint8_t volume)
uint8_t | read (uint_least8_t addr)
void | write (uint_least8_t addr, uint8_t data)
void | clock ()
bool | getStatus () const
void | filter (bool enable)
void | model (SidConfig::sid_model_t model SID_UNUSED)
void | voice (unsigned int num, bool mute)
void | flush ()
bool | lock (EventContext *env)
void | unlock ()
Public Member Functions inherited from sidemu
| sidemu (sidbuilder *builder)
virtual void | sampling (float systemfreq SID_UNUSED, float outputfreq SID_UNUSED, SidConfig::sampling_method_t method SID_UNUSED, bool fast SID_UNUSED)
const char * | error () const
sidbuilder * | builder () const
int | bufferpos () const
void | bufferpos (int pos)
short * | buffer () const
void | poke (uint_least16_t address, uint8_t value)
uint8_t | peek (uint_least16_t address)

## Static Public Member Functions

static const char * | getCredits ()

## Friends

class | HardSIDBuilder

## Additional Inherited Members

Public Types inherited from sidemu
enum | { OUTPUTBUFFERSIZE = 5000 }
Protected Attributes inherited from sidemu
EventContext * | m_context
event_clock_t | m_accessClk
short * | m_buffer
| The sample buffer.
int | m_bufferpos
| Current position in buffer.
bool | m_status
bool | m_locked
std::string | m_error
Static Protected Attributes inherited from sidemu
static std::string | m_credit
static const char | ERR_UNSUPPORTED_FREQ [] = "Unable to set desired output frequency."
static const char | ERR_INVALID_SAMPLING [] = "Invalid sampling method."
static const char | ERR_INVALID_CHIP [] = "Invalid chip model."

## Member Function Documentation

void HardSID::clock | ( |  | ) |

virtual

Clock the SID chip.

Implements sidemu.

bool HardSID::lock | ( | EventContext * | env | ) |

virtual

Set execution environment and lock sid to it.

Reimplemented from sidemu.

void HardSID::model | ( | SidConfig::sid_model_t model | model | ) |

inline virtual

Set SID model.

Implements sidemu.

void HardSID::unlock | ( |  | ) |

virtual

Unlock sid.

Reimplemented from sidemu.

void HardSID::voice | ( | unsigned int | num,
|  | bool | mute
| ) |  |

virtual

Mute/unmute voice.

Implements sidemu.

The documentation for this class was generated from the following files:

- hardsid-emu.h
- hardsid-emu-unix.cpp
- hardsid-emu-win.cpp